<mamecheat version="1">

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@E3EC=0D</action>
    </script>
  </cheat>

  <cheat desc="Infinite Tank Fuel PL1">
    <script state="run">
      <action>maincpu.pb@E405=13</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>Sprite will Flicker</comment>
    <script state="run">
      <action>maincpu.pb@E404=80</action>
    </script>
  </cheat>

  <cheat desc="Select Infinite Weapon PL1">
    <parameter>
      <item value="0x01">Default + Grenades</item>
      <item value="0x02">Rocket + Grenades</item>
      <item value="0x03">Flamethrower</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@E40C=00</action>
      <action condition="(param==01)">maincpu.pb@E40B=99</action> <!-- Infinite Grenades PL1 -->
      <action condition="(param==02)">maincpu.pb@E40C=01</action>
      <action condition="(param==02)">maincpu.pb@E40B=99</action> <!-- Infinite Grenades PL1 -->
      <action condition="(param==02)">maincpu.pb@E40E=99</action> <!-- Infinite Special Ammo PL1 -->
      <action condition="(param==03)">maincpu.pb@E40C=02</action>
      <action condition="(param==03)">maincpu.pb@E40E=99</action> <!-- Infinite Special Ammo PL1 -->
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@E450=0D</action>
    </script>
  </cheat>

  <cheat desc="Infinite Tank Fuel PL2">
    <script state="run">
      <action>maincpu.pb@E469=13</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>Sprite will Flicker</comment>
    <script state="run">
      <action>maincpu.pb@E468=80</action>
    </script>
  </cheat>

  <cheat desc="Select Infinite Weapon PL2">
    <parameter>
      <item value="0x01">Default + Grenades</item>
      <item value="0x02">Rocket + Grenades</item>
      <item value="0x03">Flamethrower</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@E470=00</action>
      <action condition="(param==01)">maincpu.pb@E46F=99</action> <!-- Infinite Grenades PL2 -->
      <action condition="(param==02)">maincpu.pb@E470=01</action>
      <action condition="(param==02)">maincpu.pb@E46F=99</action> <!-- Infinite Grenades PL2 -->
      <action condition="(param==02)">maincpu.pb@E472=99</action> <!-- Infinite Special Ammo PL2 -->
      <action condition="(param==03)">maincpu.pb@E470=02</action>
      <action condition="(param==03)">maincpu.pb@E472=99</action> <!-- Infinite Special Ammo PL2 -->
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
